Skip to main content
GET
/
v1
Get reimbursement rates for one or more locations
curl --request GET \
  --url https://api.spirii.com/reimbursement/rates/v1 \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "locationId": 123,
      "pricePerKwh": 123,
      "currency": "EUR",
      "validFrom": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "validUntil": "2023-11-07T05:31:56Z",
      "lockedBy": "<string>"
    }
  ],
  "pagination": {
    "hasNextPage": true,
    "endCursor": 123
  }
}

Authorizations

Authorization
string
header
required

Authorization via a JWT bearer token.

Query Parameters

locationIds
string
required

Comma-separated list of location IDs to retrieve reimbursement rates for.

after
integer

Cursor for pagination. Use the endCursor from the previous response to fetch the next page.

limit
integer
default:25

Maximum number of records to return.

Required range: 1 <= x <= 500
sortBy
enum<string>
default:validFrom

Field to sort reimbursement rates by.

Available options:
id,
locationId,
validFrom,
validUntil
sortDirection
enum<string>
default:DESC

Sort order for results.

Available options:
ASC,
DESC

Response

Returns a paginated list of reimbursement rates.

data
object[]
required
pagination
object
required